import { tryOnScopeDispose as v } from "../../../../@vueuse/shared/index.mjs";
function m() {
  let t;
  const o = (i, n) => {
    e(), t = window.setTimeout(i, n);
  }, e = () => window.clearTimeout(t);
  return v(() => e()), {
    registerTimeout: o,
    cancelTimeout: e
  };
}
export {
  m as useTimeout
};
